
%global meadversion 1.4.5
%global namedversion 1.4.5.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc
%{?scl:%scl_package jboss-msc}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.5.Final-redhat-00001

Name:             %{?scl_prefix}jboss-msc
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss Modular Service Container
Group:            Development/Libraries

%if %with mead
Source100: jboss-msc-1.4.5.Final-redhat-00001-scm-sources.zip
Source102: jboss-msc-1.4.5.Final-redhat-00001-javadoc.jar
Source103: jboss-msc-1.4.5.Final-redhat-00001.pom
Source104: jboss-msc-1.4.5.Final-redhat-00001-sources.jar
Source105: jboss-msc-1.4.5.Final-redhat-00001-project-sources.tar.gz
Source106: jboss-msc-1.4.5.Final-redhat-00001.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-msc

%if %without mead
# git clone git://github.com/jbossas/jboss-msc.git
# cd jboss-msc && git archive --format=tar --prefix=jboss-msc-1.0.1.GA/ 1.0.1.GA | xz > jboss-msc-1.0.1.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-buildroot

%if %without mead
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit4
BuildRequires:    byteman
BuildRequires:    jboss-logging
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-modules
BuildRequires:    apiviz

Requires:         jboss-logging-tools
Requires:         jboss-vfs
Requires:         jboss-logging
#Optional:         byteman
Requires:         javassist
%endif


%description
This package contains the JBoss Modular Service Container

NOTE: Add byteman to the classpath if you plan on using that with jboss-msc.

%if %with javadoc
%package javadoc
Summary:          Javadocs for %{pkg_name}
Group:            Documentation


%description javadoc
This package contains the API documentation for %{pkg_name}.
%endif

%prep
%setup -q -n jboss-msc -T -b 100

%build
%if %without mead
# Many tests fail
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate
%endif

%install
%{__rm} -rf %{buildroot}

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%if %without mead
install -pD -T -m 644 target/%{pkg_name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}-%{namedversion}.jar
%else
install -pD -T -m 644 %{_sourcedir}/%{pkg_name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}-%{namedversion}.jar
install -pD -T -m 644 %{_sourcedir}/%{pkg_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion} %{_sourcedir}/%{pkg_name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{pkg_name}-%{namedversion} %{pkg_name})
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-msc
%defattr(0644,root,root,0755)
%{_javadir}*/%{pkg_name}-%{namedversion}.jar
%{_javadir}*/%{pkg_name}.jar
%{_javadir}*/%{pkg_name}-%{namedversion}-sources.jar
%{_javadir}*/%{pkg_name}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{pkg_name}-%{namedversion}
%{_javadocdir}/%{pkg_name}
%endif

%changelog
* Wed Sep 12 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.5-1.Final_redhat_00001.1
- upgrade to 1.4.5.Final-redhat-00001

* Tue Sep 11 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.4-1.Final_redhat_00001.1
- upgrade to 1.4.4.Final-redhat-00001

* Fri Aug 24 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.3-1.Final_redhat_00001.1
- upgrade to 1.4.3.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.4.2-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.2-1.Final_redhat_1.1
- upgrade to 1.4.2.Final-redhat-1

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.2-1.Final_redhat_1.1
- upgrade to 1.4.2.Final-redhat-1

* Thu Sep 29 2016 Filip Kujikis <fkujikis@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Prod rebuild version 1.2.6.Final -> 1.2.7.Final

* Mon Jul 06 2015 Lin Gao <lgao@redhat.com> - 1.2.6-1.Final_redhat_1.1
- Upgrade to 1.2.6.Final-redhat-1

* Thu Mar 20 2014 Yong Yang <yyang@redhat.com> - 1.1.5-1.Final_redhat_1.1
- Upgrade to 1.1.5.Final

* Thu Mar 20 2014 Yong Yang <yyang@redhat.com> - 1.1.5-1.Final_redhat_1.1
- Upgrade to 1.1.5.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 1.0.4-1.GA_redhat_1
- Upgrade to 1.0.4.GA

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 1.0.3-1.GA_redhat_1
- Upgrade to 1.0.3.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-3.GA_redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.2-2.GA_redhat_2.2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_2.2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1.2.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1.2.1
- Rebuild using cache signing

* Wed Feb 22 2012 Fernando Nasser <fnasser@redhat.com> 1.0.2-1.GA_redhat_1.2
- Rebuild for javadir-signed population

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> 1.0.2-1.GA_redhat_1
- Upgrade to 1.0.2.GA

* Thu Jan 12 2012 Fernando Nasser <fnasser@redhat.com> 1.0.1-1
- Wrap MEAD build for EAP 6

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Upstream release: 1.0.1.GA
- Cleaned spec file

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

